BaseParamFilterReader (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.filters, class: BaseParamFilterReader

# Class BaseParamFilterReader

java.lang.Object
java.io.Reader
java.io.FilterReader
org.apache.tools.ant.filters.BaseFilterReader
org.apache.tools.ant.filters.BaseParamFilterReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Readable, Parameterizable`

Direct Known Subclasses:
  `ConcatFilter, EscapeUnicode, FixCrLfFilter, HeadFilter, LineContains, LineContainsRegExp, PrefixLines, ReplaceTokens, SortFilter, StripLineBreaks, StripLineComments, SuffixLines, TabsToSpaces, TailFilter`

public abstract class BaseParamFilterReader extends BaseFilterReader implements Parameterizable
Parameterized base class for core filter readers.

- ## Field Summary

  ### Fields inherited from class FilterReader

  `in`

  ### Fields inherited from class Reader

  `lock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseParamFilterReader()`
  Constructor for "dummy" instances.
  `BaseParamFilterReader(Reader in)`
  Creates a new filtered reader.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final Parameter[]`
  `getParameters()`
  Returns the parameters to be used by this filter.
  `final void`
  `setParameters(Parameter... parameters)`
  Sets the parameters used by this filter, and sets the filter to an uninitialized status.

  ### Methods inherited from class BaseFilterReader

  `getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`
  Modifier and Type
  Method
  Description
  `protected final boolean`
  `getInitialized()`
  Returns the initialized status.
  `protected final Project`
  `getProject()`
  Returns the project this filter is part of.
  `final int`
  `read(char[] cbuf, int off, int len)`
  Reads characters into a portion of an array.
  `protected final String`
  `readFully()`
  Reads to the end of the stream, returning the contents as a String.
  `protected final String`
  `readLine()`
  Reads a line of text ending with '\n' (or until the end of the stream).
  `protected final void`
  `setInitialized(boolean initialized)`
  Sets the initialized status.
  `final void`
  `setProject(Project project)`
  Sets the project to work with.
  `final long`
  `skip(long n)`
  Skips characters.

  ### Methods inherited from class FilterReader

  `close, mark, markSupported, read, ready, reset`

  ### Methods inherited from class Reader

  `nullReader, of, read, read, readAllAsString, readAllLines, transferTo`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseParamFilterReader

    public BaseParamFilterReader()
    Constructor for "dummy" instances.
    See Also:
      - `BaseFilterReader()`

  - ### BaseParamFilterReader

    public BaseParamFilterReader(Reader in)
    Creates a new filtered reader.
    Parameters:
      `in` - A Reader object providing the underlying stream. Must not be `null`.

- ## Method Details

  - ### setParameters

    public final void setParameters(Parameter... parameters)
    Sets the parameters used by this filter, and sets the filter to an uninitialized status.
    Specified by:
      `setParameters` in interface `Parameterizable`
    Parameters:
      `parameters` - The parameters to be used by this filter. Should not be `null`.

  - ### getParameters

    protected final Parameter[] getParameters()
    Returns the parameters to be used by this filter.
    Returns:
      the parameters to be used by this filter